Package de.willuhn.jameica.hbci.accounts.hbci

# Class HBCIVariantKey

java.lang.Object
de.willuhn.jameica.hbci.accounts.hbci.HBCIVariantKey

All Implemented Interfaces:
  `HBCIVariant`

@Lifecycle(CONTEXT) public class HBCIVariantKey extends Object implements HBCIVariant
Implementierung der HBCI-Variante fuer Schluesseldatei.

## Constructor Summary

Constructors
Constructor
Description
`HBCIVariantKey()`

## Method Summary

Modifier and Type
Method
Description
`void`
`create()`
Startet den Assistenten zur Erzeugung eines Bankzugangs mit der Variante.
`de.willuhn.jameica.gui.parts.InfoPanel`
`getInfo()`
Liefert ein vorausgefuelltes Info-Panel fuer die HBCI-Variante.
`String`
`getName()`
Liefert einen sprechenden Namen fuer die HBCI-Variante.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCIVariantKey

public HBCIVariantKey()

## Method Details

### getName

public String getName()
Description copied from interface: `HBCIVariant`
Liefert einen sprechenden Namen fuer die HBCI-Variante.

Specified by:
  `getName` in interface `HBCIVariant`
Returns:
  sprechender Name fuer die HBCI-Variante.

### getInfo

public de.willuhn.jameica.gui.parts.InfoPanel getInfo()
Description copied from interface: `HBCIVariant`
Liefert ein vorausgefuelltes Info-Panel fuer die HBCI-Variante.

Specified by:
  `getInfo` in interface `HBCIVariant`
Returns:
  ein vorausgefuelltes Info-Panel fuer die HBCI-Variante.

### create

public void create() throws de.willuhn.util.ApplicationException
Description copied from interface: `HBCIVariant`
Startet den Assistenten zur Erzeugung eines Bankzugangs mit der Variante.

Specified by:
  `create` in interface `HBCIVariant`
Throws:
  `de.willuhn.util.ApplicationException`